Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200502-14 ] mod_python: Publisher Handler vulnerability
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Bodhisattva
Bodhisattva


Joined: 25 Feb 2003
Posts: 3827
Location: Essen, Germany

PostPosted: Sun Feb 13, 2005 2:16 pm    Post subject: [ GLSA 200502-14 ] mod_python: Publisher Handler vulnerabili Reply with quote

Gentoo Linux Security Advisory

Title: mod_python: Publisher Handler vulnerability (GLSA 200502-14)
Severity: low
Exploitable: remote
Date: February 13, 2005
Updated: December 30, 2007
Bug(s): #80109
ID: 200502-14

Synopsis

mod_python contains a vulnerability in the Publisher Handler potentially leading to information disclosure.

Background

mod_python is an Apache module that embeds the Python interpreter within the server allowing Python-based web-applications to be created.

Affected Packages

Package: www-apache/mod_python
Vulnerable: < 3.1.3-r1
Unaffected: >= 3.1.3-r1
Unaffected: >= 2.7.11 < 2.7.12
Architectures: All supported architectures


Description

Graham Dumpleton discovered a vulnerability in mod_python's Publisher Handler.

Impact

By requesting a specially crafted URL for a published module page, an attacker could obtain information about restricted variables.

Workaround

There is no known workaround at this time.

Resolution

All mod_python users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose www-apache/mod_python


References

CAN-2005-0088


Last edited by GLSA on Mon Dec 31, 2007 4:17 am; edited 4 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum